# Uses of Class
org.eclipse.jdt.core.compiler.CategorizedProblem

Packages that use CategorizedProblem
Package
Description
org.eclipse.jdt.core.compiler
This package contains compiler associated infrastructure APIs.

## Uses of CategorizedProblem in org.eclipse.jdt.core.compiler

Methods in org.eclipse.jdt.core.compiler that return CategorizedProblem
Modifier and Type
Method
Description
`CategorizedProblem[]`
ReconcileContext.`getProblems(String markerType)`
Returns the problems to be reported to the problem requestor of the reconcile operation for the given marker type.
Methods in org.eclipse.jdt.core.compiler with parameters of type CategorizedProblem
Modifier and Type
Method
Description
`void`
ReconcileContext.`putProblems(String markerType, CategorizedProblem[] problems)`
Sets the problems to be reported to the problem requestor of the reconcile operation for the given marker type.
`void`
BuildContext.`recordNewProblems(CategorizedProblem[] newProblems)`
Record new problems to report against this compilationUnit.